Turn Web discussions on or off

In Microsoft Internet Explorer 4.0 and later, you can leave the Web Discussions feature on, or turn it off.

  • In your browser, on the Standard Buttons toolbar, click Discuss Discuss to turn Web Discussions on; click it again to turn Web Discussions off.


About system requirements for discussions and subscriptions

You can use the discussion and subscription features in most browsers, but you have more capabilities when you use Microsoft Internet Explorer 4.0 or later. If you're using an earlier version of Internet Explorer or another browser (such as Netscape Navigator version 3.0 or later) and you have access to a Web site based on SharePoint Team Services from Microsoft, use the Discuss a Document feature on the Discussion Boards page of your SharePoint team Web site to use the discussion and subscription features.

Most discussion and subscription features work when you use Office Server Extensions, available in Office 2000. However, the following discussion features require a server that is running SharePoint Team Services:

  • Close and reactivate discussions, and show or hide closed discussions
  • Automatically store discussion comments on the same server as your document


About receiving notification of changes to a file or discussion

The Subscription feature enables you to be notified by e-mail of any changes made to a Web site. You can cancel a subscription at any time.

You can subscribe to an individual page or to all the pages (files) stored in a folder on a Web server. When you subscribe to a page or a folder, your discussion server notifies you on a scheduled basis if a file or folder is modified, deleted, or moved, or even if a new file is created in that folder. You can also be notified if a discussion comment is deleted from a file, or if a new discussion comment is added.


Permissions for discussions and subscriptions

Your server administrator has assigned you permissions that determine the extent to which you can participate in discussions and subscriptions.

Discussion permissions

View Web Document Discussions You can view discussions in a Web page or document.

Author Web Document Discussions In addition to Read Discussions permission, you can reply to discussion comments, add new comments, and you can edit and delete your own comments.

Close DWeb Document iscussions In addition to Author Discussions permission, you can close discussion comments.

Manage Web Document Discussions In addition to Author Discussions permission, you can delete discussions on the Web server. You must use administration software on the Web server to manage discussions.

Subscription permissions

Subscribe To Document You can subscribe to pages, folders, and discussions, and you can cancel your own subscriptions.

Manage Web Subscriptions In addition to Subscribe permission, you can delete subscriptions on the Web server. You must use administration software on the Web server to manage subscriptions.


About Web discussions

The Web Discussions feature enables users to attach comments to a Web page or any document that can be opened with a browser (such as .xls, .doc, .ppt, .gif files, and so on) so that the comments appear with the document but are stored on a discussion server.

Note The term Web page is used generically here to refer to any file you are viewing with a browser.

The discussions are threaded. Users reviewing your Web page can use the Web Discussions toolbar to view and reply to any discussion. You can then review discussions and incorporate changes to your Web page based on the feedback you receive.

Discuss Web pages in Microsoft Internet Explorer or in Microsoft Office

All users with discussion permissions can open a Web page in Microsoft Internet Explorer and use the Web Discussions toolbar in Internet Explorer. Users of Microsoft Word, Microsoft Excel, or Microsoft PowerPoint can also use the Web Discussions toolbar in those applications. Users of all other Office applications must use Internet Explorer.

Note The browser-based Web Discussions toolbar is available only in Internet Explorer 4.0 and later.

Discuss a whole page or a paragraph

You can discuss the whole page, using general discussions, or insert comments in a particular part of a page, using inline discussions.

Note For pages that you view in a browser, inline discussions are available only in HTML-formatted files.

General discussions When you discuss a page in general, discussion comments appear in a Discussion pane at the bottom of the window. If the page you are discussing is a frames page, the Enter Discussion Text dialog box presents a list of the frames so that you can specify which frame a discussion refers to.

Inline discussions When you use inline discussions, discussion insertion markers [image] appear at the end of every paragraph consisting of more than 30 characters, in every table cell that contains more than 5 characters, and at the end of every graphic that has a height or width of at least 30 pixels. These insertion markers indicate where you can start a discussion.

Show or hide discussion information

You can filter discussions—for example, view comments that are from a particular person or posted on a particular date. You can also show or hide discussion information so that you can focus only on the information you want to see:

  • Show and hide individual discussion comments or entire discussions.
  • Show and hide the Discussion pane.
  • Drag the top border of the Discussion pane to make it larger or smaller.
  • Close a discussion once the issues have been resolved. The discussion is not deleted; you can choose to view closed discussions, and you can reopen a closed discussion.
  • Show or hide the subject, user name, or other header information.

    Note Discussion header information includes two names for each participant: Display name and User name. Display name is the name that participants set in an Office application; User name is the logon name that a system administrator sets.

Understanding discussion servers

When you add discussion comments to a Web page, your text is stored in a database on a discussion server. The Web page you are discussing may or may not be located on the same computer as the discussion server where your comments are stored— in fact, the page you are discussing can be anywhere on your LAN or the Internet.

If the page you are discussing is located on a discussion server, your discussion comments are automatically stored on that server. However, you can override this behavior by specifying a particular server to use for all your discussions. You may need to switch to a different discussion server to view discussions that someone else creates.


Start a discussion

  1. On the Standard Buttons toolbar, click Discuss [image].
  2. If the Web Discussions toolbar displays a "Discussions not available" message, select a discussion server.

    How?

    1. On the Web Discussions toolbar, click Discussions, and then click Discussion Options.
    2. Click Add.
    3. In the Type the name of the discussion server your administrator has provided box, type the name of a discussion server.
    4. If your system administrator has set up security by using the Secure Sockets Layer (SSL) message protocol, select the Secure connection required (SSL) check box.
    5. In the You can type any name you want to use as a friendly name for the discussion server box, type a friendly name you want to use for the server; for example, My Server.
  3. Do one of the following to start an inline discussion or a general discussion:

    Inline discussion

    1. On the Web Discussions toolbar, click Insert Discussion in the Document [image].

      Insertion markers [image] appear in the page.

    2. Click the insertion marker where you want to start a discussion.
    3. Under Discussion subject, type a name for the subject of the discussion.
    4. Under Discussion text, type your comments.

      When you click OK, your comment appears below the insertion marker.

    General discussion

    1. On the Web Discussions toolbar, click Insert Discussion about the Document [image].
    2. If the page has frames, in the Frame list, select the frame you want to discuss.
    3. Under Discussion subject, type a name for the subject of the discussion.
    4. Under Discussion text, type your comments.

      When you click OK, your comment appears in the Discussion pane at the bottom of the window.


Select a discussion server

  1. On the Web Discussions toolbar, click Discussions, and then click Discussion Options.
  2. Click Add.
  3. In the Type the name of the discussion server your administrator has provided box, type the name of a discussion server.
  4. If your system administrator has set up security by using the Secure Sockets Layer (SSL) message protocol, select the Secure connection required (SSL) check box.
  5. In the You can type any name you want to use as a friendly name for the discussion server box, type a friendly name you want to use for the server; for example, My Server.

Note If the Web page or document is located on a server that has discussions or subscriptions enabled, your discussions or subscriptions are automatically stored on that server. If you select another server, Web Discussions no longer automatically uses the server the document is on. Instead, it uses the server you used the last time you opened the Web Discussions toolbar.


Read a discussion

  1. On the Standard Buttons toolbar, click Discuss Discuss.
  2. If the discussion was created on another discussion server, select that server.

    How?

    1. On the Web Discussions toolbar, click Discussions, and then click Discussion Options.
    2. Click Add.
    3. In the Type the name of the discussion server your administrator has provided box, type the name of a discussion server.
    4. If your system administrator has set up security by using the Secure Sockets Layer (SSL) message protocol, select the Secure connection required (SSL) check box.
    5. In the You can type any name you want to use as a friendly name for the discussion server box, type a friendly name you want to use for the server; for example, My Server.
  3. Do one of the following to read general discussions or inline discussions:
    • For general discussions, scroll through the discussion comments in the Discussion pane.
    • For inline discussions, on the Web Discussions toolbar, click Previous [image] or Next [image] to move between discussions.


Reply to, edit, or delete a discussion comment

You can edit or delete only discussion comments that you write.

  1. At the end of the discussion comment, click Show a menu of actions Show a menu of actions and then click Reply, Edit, or Delete.
  2. If you are replying to or editing a comment, under Discussion text, type your reply or type any changes you want to make to the text.


Close a discussion

Hide a particular comment by closing a discussion comment, or hide a whole discussion by closing a thread.

  • To close a discussion comment, at the end of the discussion comment you want to close, click Show a menu of actions Show a menu of actions and then click Close to close the comment.
  • To close the entire discussion, at the end of the first comment in the thread you want to close, click Show a menu of actions Show a menu of actions and then click Close Item and Replies.

To reactivate a closed discussion

  1. On the Web Discussions toolbar, click Discussions and then click Discussion Options.
  2. Select the Show closed discussions check box, and click OK.
  3. At the end of the closed comment, click Show a menu of actions Show a menu of actions and then click Activate.


Filter discussions

Filter discussion comments by person and by time frame.

  1. On the Web Discussions toolbar, click Discussions, and then click Filter Discussions.
  2. In the Created by box, select the name of the person whose comments you want to read.
  3. In the Creation time box, select the time frame you want.


Show or hide discussions

Do one or more of the following to show or hide discussion information.

Show or hide the Discussion pane

  • On the Web Discussions toolbar, click Show/Hide Discussion Pane [image].

Tip

    Drag the top border of the Discussion pane to make the pane larger or smaller.

Show or hide inline discussions

  • For one inline discussion, above the discussion you want to show or hide, click Show discussion [image] or Hide discussion [image].
  • For all inline discussions, on the Web Discussions toolbar, click Expand all Discussions [image] or Collapse all Discussions [image].

Show or hide closed discussions

  1. On the Web Discussions toolbar, click Discussions, and then click Discussion Options.
  2. Select or clear the Show closed discussions check box.

Show or hide header information in discussion comments

  1. On the Web Discussions toolbar, click Discussions, and then click Discussion Options.
  2. Under Discussion fields to display, select or clear the check boxes for the items you want to show or hide in the header of each discussion comment.


Print discussions

  1. Do one of the following to print all of the inline discussions associated with a page, or print just the general discussions associated with a page:
    • To print inline discussions, right-click in the frame that contains the discussions you want to print, and then click Print on the shortcut menu.
    • To print general discussions, right-click in the Discussion pane at the bottom of the window, and then click Print on the shortcut menu.
  2. Select the print options you want.


About sending a file for review

In a Microsoft Office XP program, you can use the Mail Recipient (for Review) command to send a file for others to review. When you send a file for review, a review request form is created automatically with the following:

  • A link, an attachment, or both a link and an attachment to the file.
  • A follow up flag [image].
  • Message text for the reviewer. This text will vary depending on the location of the file.

When a reviewer receives the file, the reviewing tools are enabled and displayed. The files returned from reviewers automatically prompt you to merge changes. You can then use the reviewing tools to accept or reject the changes. Once you've received all feedback from the reviewers, or once you decide to stop accepting feedback, you can choose to end the review cycle.

Understanding links and attachments

How a file is included in a review request will vary depending on the location of the file to be reviewed.

On your computer only

The file is automatically attached to the review request.

In a shared location such as a network server

The review request contains a link to the shared location, and you have the option to include the file as an attachment. If some reviewers do not have access to the shared location, you will want to attach the file.

On a Web discussion server, such as SharePoint Team Services

The review request includes a link to the document discussion and includes instructions on how to use a discussion server. You have the option to include the file as an attachment. If some reviewers do not have access to the shared location, you will want to attach the file.


Respond to a review request

  1. In the review request e-mail message, click the hyperlink to go to the file.
  2. If the file is a Web page, use the Web Discussions toolbar to add discussion comments.

    If the file is a Microsoft Office-format document (such as a .doc, .xls, or .ppt file), on the Standard Buttons toolbar, click Discuss Discuss, and use the Web Discussions toolbar to attach general discussion comments to the document.

    Note For Office-format documents, you can also use the program's tools for reviewing the document (such as comments or revision tracking).

  3. When you have completed your review, in the Web Discussions toolbar, click Reply with Changes to generate an e-mail message that notifies the requester you have finished reviewing the document.
  4. Modify the e-mail message as desired, and then click Send.


Subscribe to be notified of changes to a file or discussion

You can subscribe to receive notification of any type of change made in a file, discussion, or even a folder.
  1. On the Standard Buttons toolbar, click Discuss Discuss.
  2. If you are prompted to select a discussion server, do so.

    How?

    1. In the Type the name of the discussion server your administrator has provided box, type the name of a discussion server.
    2. If your system administrator has set up security by using the Secure Sockets Layer (SSL) message protocol, select the Secure connection required (SSL) check box.
    3. In the You can type any name you want to use as a friendly name for the discussion server box, type a friendly name you want to use for the server; for example, My Server.
  3. On the Web Discussions toolbar, click Subscribe.
  4. Choose whether to subscribe to the current page or to a Web folder. Do one of the following under Subscribe to:

    • To subscribe to the current page, select File.

    • To subscribe to all files in a Web folder, select Folder, and then select the options you want, or type the address of another folder.

    Note You can subscribe to another page or file by typing its URL in the File or Folder box.

  5. In the When box, select the conditions under which you want to be notified of changes made.
  6. In the Address box, type your e-mail address.
  7. In the Time box, select how often you want to be notified of changes.


Cancel subscription to a file or discussion

  1. In Microsoft Outlook, open one of the e-mail messages notifying you of the change to a file, folder, or discussion on a Web server.
  2. To stop the subscription, follow the instructions in the message.


Troubleshoot discussions and subscriptions

I can't subscribe to a Web page or discussion.

The Subscription feature is not available A server administrator must set up this feature before you can use it.

You might not have permission to subscribe Make sure you are connected to a discussion server where you have permission to participate in subscriptions. See your server administrator for the name of the server where you have the Subscribe To Document right.

I don't see discussions on a Web page or document.

The Web Discussions feature is not available A server administrator must set up this feature before you can use it.

You might be using the wrong discussion server Discussions are stored separately, not with the Web page or document. If you're using a server different from the one on which the discussions are stored, you won't see the discussions. Make sure you are connected to the correct discussion server. Try selecting Current document's server if you have multiple discussion servers available. See your server administrator for details.

There might be a problem with the discussion server or the network If the discussion server is not running properly or there is a problem with your connection to the server, you won't be able to see the discussions. Try refreshing the page later, or contact your server administrator.

You might not have permission to read discussions Make sure you are connected to a discussion server where you have permission to read discussions. See your server administrator for the name of the server where you have the View Web Document Discussions right.

The discussions might need to be refreshed Recently added discussions might not automatically appear on a page. On the Web Discussions toolbar, click Discussions, and then click Refresh Discussions.

The discussions might be hidden or closed On the Web Discussions toolbar, try one of the following:

  • Click Expand All [image] to show all discussions, and click Show/Hide Discussion Pane [image] to display the Discussion pane.

  • Click Discussions, then click Discussion Options, and then select the Show closed discussions check box.

The Web page or document might have been moved or renamed Discussions are stored separately from the page. Moving or renaming a page breaks the links between the page and the discussion comments. Saving a file in a different format (such as using the Save as Web Page command in Microsoft Office applications) also breaks the links to discussion comments, because a new file with a new name is created.

  • If a page and its discussions are stored on the same server, you can maintain the links between the page and discussion comments by using Web Folders or My Network Places in Microsoft Windows Explorer, or by using Microsoft FrontPage, to move or rename the page.

  • If a page and its discussions are stored on separate servers, you can restore the links between the page and discussion comments by moving the page back to its original location or by renaming the page with its original name.

You might be working offline with an older browser To view your discussions while working offline, you need to use Microsoft Internet Explorer 5 or later.

I see a mismatched discussion comment in the Discussion pane.

The Web page or document might have been edited Inline discussions are associated with a particular paragraph, table, or graphic. Sometimes the paragraph, table, or graphic might be edited in such a way that the link between it and the discussion is broken. When this happens, the discussion is displayed in the Discussion pane rather than in the body of the document. Deleting a paragraph, table, or graphic deletes any discussion that is attached to it.

The Web page or document might have been moved or renamed Discussions are stored separately from the page. Moving or renaming a page breaks the links between the page and the discussion comments. Saving a file in a different format (such as using the Save as Web Page command in Microsoft Office applications) also breaks the links to discussion comments, because a new file with a new name is created.

  • If a page and its discussions are stored on the same server, you can maintain the links between the page and discussion comments by using Web Folders or My Network Places in Microsoft Windows Explorer, or by using Microsoft FrontPage, to move or rename the page.

  • If a page and its discussions are stored on separate servers, you can restore the links between the page and discussion comments by moving the page back to its original location or by renaming the page with its original name.

I can't add a discussion to a Web page or document.

The Web Discussions feature is not available A server administrator must set up this feature before you can use it.

The discussions might need to be refreshed Recently added discussions might not automatically appear on a page. On the Discussions toolbar, click Discussions, and then click Refresh Discussions.

You might not have permission to add a discussion Make sure you are connected to a discussion server where you have permission to create discussions. See your server administrator for the name of the server where you have the Author Web Document Discussions right.

You might not have a connection to the network If don't have a connection to a network, you can still view and filter discussions on a page, but you can't add any new discussions. Microsoft Office maintains a list of recently opened files and any discussions associated with those files by replicating those files on your hard disk. The replication feature is available only if you are running Microsoft Internet Explorer 5 or later.

The discussion icons don't appear at the end of every paragraph, table, or graphic.

When you add an inline discussion to a Web page or document, Insert Discussion in the Document icons [image] appear only at the end of every paragraph consisting of more than 30 characters, in every table cell that contains more than 5 characters, and at the end of every graphic that has a height or width of at least 30 pixels.

I can't reply to a discussion.

You might not have permission to participate in discussions Make sure you are connected to a discussion server where you have permission to participate in discussions. See your server administrator for the name of the server where you have the Author Web Document Discussions right.

I can't close a discussion.

You might not have permission to close discussions Make sure you are connected to a discussion server where you have permission to close discussions. See your server administrator for the name of the server where you have the Close Web Document Discussions right.

You may be using an older version of Microsoft Office Server Extensions To close discussions, your discussion server must be running SharePoint Team Services from Microsoft or Microsoft SharePoint Portal Server. A server administrator must set up this feature before you can use it.

I can't edit or delete a discussion.

You might not have permission to edit or delete discussions Make sure you are connected to a discussion server where you have permission to edit and delete discussions. See your server administrator for the name of the server where you have the Author Web Document Discussions right. You can edit and delete only those discussion comments that you create.

Some of the buttons on the Web Discussions toolbar are unavailable.

If there are no inline discussions on a Web page, then Expand all Discussions [image], Collapse all Discussions [image], Previous [image], and Next [image] aren't available. If the Subscription feature has not been enabled on the discussion server, then Subscribe is not available.

My name is not appearing in the discussion comment header.

The option to display names might be turned off Do the following:

  1. On the Web Discussions toolbar, click Discussions, and then click Discussion Options.
  2. Under Discussion fields to display, select the Display name check box to display your name, or select the User name check box to display your logon name.

Your user information might not be correct If you've logged on to someone else's computer and are adding discussion text to a document, that person's display name might be appearing in the discussion header instead of your name. Do one of the following to make your name appear correctly:

In Microsoft Word

  1. On the Tools menu, click Options, and then click the User Information tab.

  2. In the Name box, type your name.

  3. In the Initials box, type your initials.

In Microsoft Excel

  1. On the Tools menu, click Options, and then click the General tab.

  2. In the User name box, type your name.

In Microsoft PowerPoint

  1. On the Tools menu, click Options, and then click the General tab.

  2. In the Name box, type your name.

  3. In the Initials box, type your initials.